> For the complete documentation index, see [llms.txt](https://docs.atfinity.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atfinity.io/api/calling-your-apis-within-cases.md).

# Calling your APIs within Cases

Using Custom APIs, you can create rules that make calls to your APIs to calculate information. For example, you could use this to call your existing risk engine within a client onboarding case.

To create such a rule, you have to do two things:

1. **Specify your API under Administration -> Your APIs.**\
   First, specify the basics of your API: A key to identify it, the base URL and a header key and value for authentication. Then, add all the requests (GET, POST, ...) atfinity can make to your API.
2. **Create a rule action calling your API**\
   Open any rule under configuration -> rules. When you click "Add new action" you will see the requests to your API as a possible action to add. Add a request to your API and connect both the input and output values to information in your process.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atfinity.io/api/calling-your-apis-within-cases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
